@import '../../styles/index.scss';

.MyInfo {
  padding: 20px;
  height: $height-myinfo-comp;
  background-color: $main-background;
  border-bottom: 1px solid $color-board-separator;

  &__container {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
  }

  &__button {
    height: 45px;
    width: 35px;
    transition: transform 0.3s;

    &:hover {
      transform: scale(1.1);
    }
  }

  &__icon {
    width: 100%;
    object-fit: cover;
    object-position: center;
  }

  &__search-groupe {
    position: relative;
  }

  &__search {
    padding-left: 30px;
    border-radius: 20px;
    width: 100%;
    line-height: 30px;
    cursor: pointer;

    &::placeholder {
      opacity: 0.7;
    }
  }

  &__glass {
    position: absolute;
    top: 50%;
    left: 10px;
    transform: translateY(-50%);
    width: 10px;
    height: 10px;
    background-image: url(../../images/Search.svg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }
}